<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Загс';
include_once '../sys/inc/thead.php';
title();
aut();

echo " <img src='/moduls.zags/img/brak.jpg'>  </a> ";

if (isset ($user) && isset($_POST['save']))
{
if (isset($_POST['svadba'])){$svad = intval($_POST['svadba']);}
$zinat = mysql_query ("SELECT * FROM zags WHERE id_user='$user[id]'");
$row = mysql_fetch_array($zinat);

$zinat1 = mysql_query ("SELECT * FROM zags WHERE id_know='$svad'");
$row1 = mysql_fetch_array($zinat1);

$zinat2 = mysql_query ("SELECT * FROM zags WHERE id_user='$svad'");
$row2 = mysql_fetch_array($zinat2);


if (isset ($user) && $row['zinat'] == 'da' or $row['id_user'] > 0)
{
$err[]="У вас уже есть пара";
err();	
}
elseif ($row1['id_know'] > 0 or $row2['id_user'] > 0)
{
$err[]="Этот человек занят";
err();	
}
else
{
mysql_query("INSERT INTO `zags` (`id_user`, `na_kom`) values('$user[id]', '$svad')");
msg ('Вы сделали предложение, ожидайте ответа )))');
}
}





if (isset ($user) && isset($_GET['act']) && $_GET['act'] == 'svad')
{

/////////////////////
if ($user['pol'] == 0)
{
$para = mysql_query ("SELECT * FROM user WHERE pol='1'");	
}
else
{
$para = mysql_query ("SELECT * FROM user WHERE pol='0'");		
}
$mas = mysql_fetch_array($para);
////////////////////

echo "Здравствуйте $user[nick] мы рады видеть вас в нашем загсе <br />\n";
echo "<form method='post' action='?$passgen'>\n";
echo "На ком женитесь? )))<br />\n";
if (mysql_num_rows($para) > 50){echo "<select name='svadba' size='5'><br />\n";}
else{echo "<select name='svadba'><br />\n";	}
do
{
echo $mas['nick'];	
echo "<option value='$mas[id]'>$mas[nick]</option>\n";
}
while ($mas = mysql_fetch_array($para));
echo "</select><br />\n";
echo "<a href='poid.php'>Ввести id пользователя</a><br /><br />";
echo "<input name='save' type='submit' value='выбрать' /><br />\n";
echo "</form><br />\n";
}






if (isset ($user) && isset($_GET['act']) && $_GET['act'] == 'razvod')
{

$zinat12 = mysql_query ("SELECT * FROM zags WHERE id_user='$user[id]'");
$row12 = mysql_fetch_array($zinat12);
$zinat1 = mysql_query ("SELECT * FROM zags WHERE id_know='$user[id]'");
$row1 = mysql_fetch_array($zinat1);

if ($row12['id_user'] == $user['id'] or $row1['id_know'] == $user['id'])
{
if ($_GET['on'] == 'da')
{
mysql_query("DELETE FROM `zags` WHERE `id_user` = '$user[id]' OR `id_know` = '$user[id]'");
msg ('Вы успешно расторгли брак');
echo "<div class='p_m'>";
echo"<a href='/moduls.zags'>Вернутся обратно</a>";
echo "</div>";
include_once '../sys/inc/tfoot.php';
exit();
}
}
else {
$err[] = "Вы не состоите в браке!";
err();
}

echo "Вы действительно хотите расторгнуть ваш брак?<br />";

echo"<a href='?act=razvod&on=da'>Да</a> | ";
echo"<a href='/moduls.zags/'>Нет</a><br /><br />";
}


if (!isset($_GET['act']))
{
echo "<div class='foot'>";
echo "Здравствуйте <b>$user[nick]</b> мы рады вашему визиту в наш загс <br />";
echo "Ищите пару или вы тут по разводу? <br />";
echo "</div>";
}

echo"<img src='/moduls.zags/img/1.png' alt='' /> <a href='?act=svad'>Поженится</a><br />";
echo"<img src='/moduls.zags/img/2.png' alt='' /> <a href='?act=razvod'>Развестись</a><br /><br />";

$man = mysql_result(mysql_query("SELECT COUNT(*) FROM user WHERE pol='1'"), 0);
$girl = mysql_result(mysql_query("SELECT COUNT(*) FROM user WHERE pol='0'"), 0);

echo"<img src='/moduls.zags/img/man.png' alt='' /> Парней $man<br />";
echo"<img src='/moduls.zags/img/girl.png' alt='' /> Девушек $girl<br />";

echo"<img src='/moduls.zags/img/love.png' alt='' /> <a href='/moduls.zags/new_svadb.php'>Недавние свадьбы</a><br />";

echo "<div class='p_m'>";
echo"<a href='/'>Выйти на главную</a>";
echo "</div>";


include_once '../sys/inc/tfoot.php';
?>


